package com.ruoyi.zongzhi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zongzhi.mapper.TcZhongdianDomainMapper;
import com.ruoyi.zongzhi.domain.TcZhongdianDomain;
import com.ruoyi.zongzhi.service.ITcZhongdianDomainService;

/**
 * 重点领域监管Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Service
public class TcZhongdianDomainServiceImpl implements ITcZhongdianDomainService 
{
    @Autowired
    private TcZhongdianDomainMapper tcZhongdianDomainMapper;

    /**
     * 查询重点领域监管
     * 
     * @param id 重点领域监管主键
     * @return 重点领域监管
     */
    @Override
    public TcZhongdianDomain selectTcZhongdianDomainById(Long id)
    {
        return tcZhongdianDomainMapper.selectTcZhongdianDomainById(id);
    }

    /**
     * 查询重点领域监管列表
     * 
     * @param tcZhongdianDomain 重点领域监管
     * @return 重点领域监管
     */
    @Override
    public List<TcZhongdianDomain> selectTcZhongdianDomainList(TcZhongdianDomain tcZhongdianDomain)
    {
        return tcZhongdianDomainMapper.selectTcZhongdianDomainList(tcZhongdianDomain);
    }

    /**
     * 新增重点领域监管
     * 
     * @param tcZhongdianDomain 重点领域监管
     * @return 结果
     */
    @Override
    public int insertTcZhongdianDomain(TcZhongdianDomain tcZhongdianDomain)
    {
        tcZhongdianDomain.setCreateTime(DateUtils.getNowDate());
        return tcZhongdianDomainMapper.insertTcZhongdianDomain(tcZhongdianDomain);
    }

    /**
     * 修改重点领域监管
     * 
     * @param tcZhongdianDomain 重点领域监管
     * @return 结果
     */
    @Override
    public int updateTcZhongdianDomain(TcZhongdianDomain tcZhongdianDomain)
    {
        tcZhongdianDomain.setUpdateTime(DateUtils.getNowDate());
        return tcZhongdianDomainMapper.updateTcZhongdianDomain(tcZhongdianDomain);
    }

    /**
     * 批量删除重点领域监管
     * 
     * @param ids 需要删除的重点领域监管主键
     * @return 结果
     */
    @Override
    public int deleteTcZhongdianDomainByIds(Long[] ids)
    {
        return tcZhongdianDomainMapper.deleteTcZhongdianDomainByIds(ids);
    }

    /**
     * 删除重点领域监管信息
     * 
     * @param id 重点领域监管主键
     * @return 结果
     */
    @Override
    public int deleteTcZhongdianDomainById(Long id)
    {
        return tcZhongdianDomainMapper.deleteTcZhongdianDomainById(id);
    }
}
